JaxbListenerElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class JaxbListenerElement

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbListenerElement

    public class JaxbListenerElement

extends Object

Java class for listener-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="listener-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.hibernate.org/xsd/hibernate-configuration}type-attribute" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `clazz`
`protected JaxbTypeAttribute` | `type`

Constructor Summary
`JaxbListenerElement()`

Method Summary
`String` | `getClazz()` Gets the value of the clazz property.
`JaxbTypeAttribute` | `getType()` Gets the value of the type property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setType(JaxbTypeAttribute value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    protected String clazz

### type

    protected JaxbTypeAttribute type

Constructor Detail

### JaxbListenerElement

    public JaxbListenerElement()

Method Detail

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public JaxbTypeAttribute getType()

  Gets the value of the type property.

  Returns:
    possible object is `JaxbTypeAttribute`

### setType

    public void setType(JaxbTypeAttribute value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `JaxbTypeAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.